Bug 1032854 - aarch64: ICE in emit_move_insn, в expr.c:3486 with double __attribute__ ((vector_size (8)))
aarch64: ICE in emit_move_insn, в expr.c:3486 with double __attribute__ ((vec...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-11-20 21:59 EST by Petr Machata
Modified: 2015-05-04 21:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 09:56:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 59843 None None None Never

  None (edit)
Description Petr Machata 2013-11-20 21:59:10 EST
Description of problem:

# LANG=C gcc x.c
x.c: In function 'fun_vec_double_8':
x.c:4:3: internal compiler error: in emit_move_insn, at expr.c:3486
   return ret;
   ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccc768lu.out file, please attach this to your bugreport.

# cat /tmp/ccc768lu.out
// /usr/libexec/gcc/aarch64-redhat-linux/4.8.1/cc1 -quiet x.c -quiet -dumpbase x.c -auxbase x -o - -frandom-seed=0
# 1 "x.c"
# 1 "<command-line>"
# 1 "/usr/include/stdc-predef.h" 1 3 4
# 1 "<command-line>" 2
# 1 "x.c"
typedef double __attribute__ ((vector_size (8))) vec_double_8_t;
vec_double_8_t fun_vec_double_8 (void) {
  vec_double_8_t ret = { 3.5 };
  return ret;
}

Version-Release number of selected component (if applicable):
gcc-4.8.1-10.x1.fc19.aarch64

How reproducible:
Consistently.

Steps to Reproduce:
1. As indicated.
2.
3.

Actual results:
ICE.

Expected results:
Water?

Additional info:
There is http://gcc.gnu.org/bugzilla/show_bug.cgi?id=56548 with similar symptoms, but that should have been fixed by 4.8, and the reproducer shown there doesn't do it for me.  Must be some other code with the same symptoms.
Comment 1 Jakub Jelinek 2014-01-16 09:56:58 EST
Filed PR59843.  Why are you trying that BTW, single element vectors don't make any sense...

Note You need to log in before you can comment on or make changes to this bug.